Loading...
Searching...
No Matches
Opm::detail::BlockExtractor< TypeTag > Struct Template Reference

Wrapping struct holding types used for block-level data extraction. More...

`#include <OutputExtractor.hpp>`

## Classes

struct | Context
| Context passed to element extractor functions. More...
struct | ScalarEntry
struct | PhaseEntry
struct | Exec
| Descriptor for extractor execution. More...

## Public Types

using | ElementContext = GetPropType<TypeTag, Properties::ElementContext>
using | IntensiveQuantities = GetPropType<TypeTag, Properties::IntensiveQuantities>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | FluidState = typename IntensiveQuantities::FluidState
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | AssignFunc = std::function<void(const Context&)>
| Callback for extractors handling their own assignements.
using | ScalarFunc = std::function<Scalar(const Context&)>
| Callback for extractors assigned to a scalar buffer Return value to store in buffer.
using | PhaseFunc = std::function<Scalar(const unsigned , const Context&)>
| Callback for extractors assigned to a phase buffer Returns value to store in buffer for requested phase.
using | Entry = std::variant<ScalarEntry, PhaseEntry>
| Descriptor for extractors.
using | ExecMap = std::unordered_map<int, std::vector<Exec>>
| A map of extraction executors, keyed by cartesian cell index.

## Static Public Member Functions

template<std::size_t size>
static ExecMap | setupExecMap (std::map< std::pair< std::string, int >, double > &blockData, const std::array< Entry, size > &handlers)
| Setup an extractor executor map from a map of evaluations to perform.
static void | process (const std::vector< Exec > &blockExtractors, const Context &ectx)
| Process a list of block extractors.

## Static Public Attributes

static constexpr int | numPhases = FluidSystem::numPhases
static constexpr int | oilPhaseIdx = FluidSystem::oilPhaseIdx
static constexpr int | gasPhaseIdx = FluidSystem::gasPhaseIdx
static constexpr int | waterPhaseIdx = FluidSystem::waterPhaseIdx

## Detailed Description

template<class TypeTag>
struct Opm::detail::BlockExtractor< TypeTag >

Wrapping struct holding types used for block-level data extraction.

The documentation for this struct was generated from the following file:

- opm/simulators/flow/OutputExtractor.hpp